%global	rubyabi	1.8

%global	repoid		71865
%global	majorver	0.10.4
%global	preminorver	rc1

%global	gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global	gemname	ruby-debug-base
%global	geminstdir	%{gemdir}/gems/%{gemname}-%{majorver}%{?preminorver}
%global	ruby_sitearch	%(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")

Summary:	Core component for fast Ruby debugger
Name:		rubygem-%{gemname}
Version:	%{majorver}
Release:	%{?preminorver:0.}1%{?preminorver:.%preminorver}%{?dist}
Group:		Development/Languages
License:	BSD
URL:		http://rubyforge.org/projects/ruby-debug/
#Source0:	http://rubygems.org/gems/%%{gemname}-%%{version}.gem
# rc release not hosted on rubygems.org yet, using rubyforge.org site
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/ruby-debug-base-%{majorver}%{?preminorver}.gem

Requires:	ruby(abi) = %{rubyabi}
Requires:	rubygem(linecache)
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	ruby-devel
BuildRequires:	rubygems
BuildRequires(check):	rubygem(linecache)
BuildRequires(check):	rubygem(rake)

Provides:	rubygem(%{gemname}) = %{version}-%{release}

%description
ruby-debug is a fast implementation of the standard Ruby debugger debug.rb. It
is implemented by utilizing a new Ruby C API hook. The core component 
provides support that front-ends can build on. It provides breakpoint 
handling, bindings for stack frames among other things.


%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install \
	--local \
	--install-dir .%{gemdir} \
	--force \
	--rdoc \
	-V \
	%{SOURCE0}

# rpmlint issue
chmod 0644 .%{gemdir}/cache/*.gem
find .%{geminstdir} \( -name \*.rb -or -name Rakefile \) -not -perm -0700 | \
	xargs sed -i -e '\@^#![ \t]*%{_bindir}@d'

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
	%{buildroot}%{gemdir}/

# Arch files treatment
mkdir -p %{buildroot}%{ruby_sitearch}
mv %{buildroot}%{geminstdir}/lib/ruby_debug.so \
	%{buildroot}%{ruby_sitearch}/
rm -rf %{buildroot}%{geminstdir}/ext/
rm -f %{buildroot}%{geminstdir}/lib/ruby_debug.so

%clean
rm -rf %{buildroot}

%check
pushd .%{geminstdir}
rake test --verbose --trace
popd

%files
%defattr(-,root,root,-)
%dir	%{geminstdir}
%doc	%{geminstdir}/[A-Z]*
%exclude	%{geminstdir}/Rakefile
%{gemdir}/cache/%{gemname}-%{majorver}%{?preminorver}.gem
%{gemdir}/specifications/%{gemname}-%{majorver}%{?preminorver}.gemspec
%{geminstdir}/lib/
%{ruby_sitearch}/ruby_debug.so

%files	doc
%defattr(-,root,root,-)
%{gemdir}/doc/%{gemname}-%{majorver}%{?preminorver}
%{geminstdir}/Rakefile
%{geminstdir}/test/

%changelog
* Mon Sep 06 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-0.1.rc1
- 0.10.4 rc1
- Using rubyforge.org hosted gem for now

* Mon Sep 06 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.3-1
- Initial package
